////////////////////////////////////////////////////////////////////////////////
// File    : 00-mini.cpp
// Content : a minimal svg viewer
// History : 09-Jun-2005 - [rb] creation
////////////////////////////////////////////////////////////////////////////////

/*
    Copyright (C) 2004  Renaud Blanch <rb.hsm@laposte.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


/* includes *******************************************************************/

#include <cstdlib>
#include <iostream>
using namespace std;

#include <hsm/svgl/SVGLWindow.h>
#include <hsm/system/event/EventLoop.h>


/* handle quit ****************************************************************/

void quitHandler() {
	cout << endl << "bye." << endl;
}


/* main ***********************************************************************/

int main(int argc, const char *argv[]) {
	cout << "00-mini - a minimal svg viewer using hsmtk/svgl." << endl << flush;
	atexit(quitHandler);
	
	if(argc != 2) {
		cerr << "usage : 00-mini file.svg" << endl;
		return EXIT_FAILURE;
	}
	
	// setting up the window
	hsm::SVGLWindow *window = new hsm::SVGLWindow("00-mini");
	window->setDocument(argv[1]);
	window->show(true);

	// launching interaction
	hsm::eventloop::loop();	


	// clean-up
	delete window;
	

	return EXIT_SUCCESS;
}