////////////////////////////////////////////////////////////////////////////////
// File    : EventLoop.h
// Content : functions dealing with system events
// History : 07-Jan-2004 - [rb] creation
////////////////////////////////////////////////////////////////////////////////

/*
    Copyright (C) 2004  Renaud Blanch <rb.hsm@laposte.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


/// \file EventLoop.h
/// Functions dealing with system events.


#if !defined(HSM_EVENTLOOP_H)
#define HSM_EVENTLOOP_H


namespace hsm {

	/// contains functions handling system events
	namespace eventloop {
		
/* functions ******************************************************************/

		/// dispatches a single system event.
		/// \retval true if the event is dispatched
		/// \retval false when the program quits
		/// \see hsm::eventloop::loop()
		bool step();

		/// dispatches system events till program end.
		/// \see hsm::eventloop::step()
		void loop();		

	} // namespace eventloop

} // namespace hsm


#endif // !defined(HSM_EVENTLOOP_H)