////////////////////////////////////////////////////////////////////////////////
// File    : TimeUtils.cpp
// Content : functions dealing with time
// History : 07-Jan-2004 - [rb] creation
////////////////////////////////////////////////////////////////////////////////

/*
    Copyright (C) 2004  Renaud Blanch <rb.hsm@laposte.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


/* includes *******************************************************************/

#include <TimeUtils.h>

#if !defined(WIN32)
#  include <sys/time.h>
#else
#  define _WIN32_WINNT 0x0400
#  include <windows.h>
#endif


namespace hsm {

	namespace time {
		
/* functions ******************************************************************/

		long get() {
#if !defined(WIN32) ////////////////////////////////////////////////////////////
			struct timeval time_;
			gettimeofday(&time_, 0);
			return time_.tv_sec * 1000000 + time_.tv_usec;
#else //////////////////////////////////////////////////////////////////////////
			return GetTickCount() * 1000;
#endif /////////////////////////////////////////////////////////////////////////
		}


	} // namespace time

} // namespace hsm
