////////////////////////////////////////////////////////////////////////////////
// File    : Keyboard.h
// Content : libhsm system keyboard plugin
// History : 13-Aug-2002 - [rb] creation
////////////////////////////////////////////////////////////////////////////////

/*
    Copyright (C) 2004  Renaud Blanch <rb.hsm@laposte.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#if !defined(HSM_KEYBOARD_H)
#define HSM_KEYBOARD_H


/* includes *******************************************************************/

#include <hsm/core/Component.h>
#include <hsm/system/window/Device.h>


namespace hsm {

/* forward declarations *******************************************************/

	class ButtonPad;


/* Keyboard class declaration *************************************************/

	class Keyboard : public impl::Component< Device > {
	private :
		static const Keyboard instance;		
		
	private :
		static Window::os::Handler handler;
		
	private :
		ButtonPad *keys;
		ButtonPad *modifiers;

	private :
		Keyboard();
					
	protected :
		virtual ~Keyboard();

	public :
		virtual Window::os::Handler *getHandler() const;
	};


} // namespace hsm


#endif // !defined(HSM_KEYBOARD_H)