////////////////////////////////////////////////////////////////////////////////
// File    : test-PlugIn.cpp
// Content : a test for hsm plugins management
// History : 11-Jan-2004 - [rb] creation
////////////////////////////////////////////////////////////////////////////////

/*
    Copyright (C) 2004  Renaud Blanch <rb.hsm@laposte.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


/* includes *******************************************************************/

#include <cstdlib>
#include <iostream>
using namespace std;

#include <hsm/util/Debug.h>
#include <hsm/core/Component.h>
#include <hsm/core/Composite.h>


/* handle quit ****************************************************************/

void quitHandler() {
	cout << endl << "bye." << endl;
}


/* main ***********************************************************************/

int main(int argc, const char *argv[]) {
	cout << "test-PlugIn - a program to test the hsm plugin management system." << endl << endl;
	atexit(quitHandler);

	hsm::debug::setLevel(2);
	hsm::Component *listener = hsm::repository::getComponent("Listener");
	
	listener->post();
	(*hsm::repository::getComponent("Plugin Root")/hsm::Composite::cast/"Listener").post();

	return EXIT_SUCCESS;
}
